rpmte.h File Reference
Transaction Set API. | Transaction Element API.

Structures used for an "rpmte" transaction element. More...

`#include <rpm/rpmtypes.h>`
`#include <rpm/argv.h>`
Include dependency graph for rpmte.h:

Go to the source code of this file.

## Typedefs

typedef enum rpmElementType_e | rpmElementType
| Transaction element type. More...
typedef rpmFlags | rpmElementTypes

## Enumerations

enum | rpmElementType_e { TR_ADDED = (1 << 0), TR_REMOVED = (1 << 1) }
| Transaction element type. More...

## Functions

Header | rpmteHeader (rpmte te)
| Retrieve header from transaction element. More...
Header | rpmteSetHeader (rpmte te, Header h)
| Save header into transaction element. More...
rpmElementType | rpmteType (rpmte te)
| Retrieve type of transaction element. More...
const char * | rpmteN (rpmte te)
| Retrieve name string of transaction element. More...
const char * | rpmteE (rpmte te)
| Retrieve epoch string of transaction element. More...
const char * | rpmteV (rpmte te)
| Retrieve version string of transaction element. More...
const char * | rpmteR (rpmte te)
| Retrieve release string of transaction element. More...
const char * | rpmteA (rpmte te)
| Retrieve arch string of transaction element. More...
const char * | rpmteO (rpmte te)
| Retrieve os string of transaction element. More...
int | rpmteIsSource (rpmte te)
| Retrieve isSource attribute of transaction element. More...
rpm_color_t | rpmteColor (rpmte te)
| Retrieve color bits of transaction element. More...
rpm_color_t | rpmteSetColor (rpmte te, rpm_color_t color)
| Set color bits of transaction element. More...
unsigned int | rpmteDBInstance (rpmte te)
| Retrieve last instance installed to the database. More...
void | rpmteSetDBInstance (rpmte te, unsigned int instance)
| Set last instance installed to the database. More...
rpm_loff_t | rpmtePkgFileSize (rpmte te)
| Retrieve size in bytes of package file. More...
rpmte | rpmteParent (rpmte te)
| Retrieve parent transaction element. More...
rpmte | rpmteSetParent (rpmte te, rpmte pte)
| Set parent transaction element. More...
rpmps | rpmteProblems (rpmte te)
| Return problem set info of transaction element. More...
void | rpmteCleanProblems (rpmte te)
| Destroy problem set info of transaction element. More...
void | rpmteCleanDS (rpmte te)
| Destroy dependency set info of transaction element. More...
void | rpmteSetDependsOn (rpmte te, rpmte depends)
| Set dependent element of TR_REMOVED transaction element. More...
rpmte | rpmteDependsOn (rpmte te)
| Retrieve dependent element of TR_REMOVED transaction element. More...
int | rpmteDBOffset (rpmte te)
| Retrieve rpmdb instance of TR_REMOVED transaction element. More...
const char * | rpmteEVR (rpmte te)
| Retrieve [epoch:]version-release string from transaction element. More...
const char * | rpmteNEVR (rpmte te)
| Retrieve name-[epoch:]version-release string from transaction element. More...
const char * | rpmteNEVRA (rpmte te)
| Retrieve name-[epoch:]version-release.arch string from transaction element. More...
fnpyKey | rpmteKey (rpmte te)
| Retrieve key from transaction element. More...
int | rpmteFailed (rpmte te)
| Return failure status of transaction element. More...
rpmds | rpmteDS (rpmte te, rpmTagVal tag)
| Retrieve dependency tag set from transaction element. More...
rpmfi | rpmteFI (rpmte te)
| Retrieve file info tag set from transaction element. More...
ARGV_const_t | rpmteCollections (rpmte te)
| Retrieve list of collections. More...
int | rpmteHasCollection (rpmte te, const char *collname)
| Determine a transaction element is part of a collection. More...

## Detailed Description

Structures used for an "rpmte" transaction element.

Definition in file rpmte.h.

## Typedef Documentation

typedef rpmFlags rpmElementTypes

Definition at line 24 of file rpmte.h.